
From: "Martin J. Bligh" <mbligh@aracnet.com>

We're in the idle section, so we should flag the load balance as idle.
Ooops. Pointed out by John Hawkes



 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched_idle-typo-fix kernel/sched.c
--- 25/kernel/sched.c~sched_idle-typo-fix	Mon May  5 14:09:19 2003
+++ 25-akpm/kernel/sched.c	Mon May  5 14:09:19 2003
@@ -1364,7 +1364,7 @@ static void rebalance_tick(runqueue_t *t
 #endif
 		if (!(j % IDLE_REBALANCE_TICK)) {
 			spin_lock(&this_rq->lock);
-			load_balance(this_rq, this_cpu, 0, cpu_to_node_mask(this_cpu));
+			load_balance(this_rq, this_cpu, idle, cpu_to_node_mask(this_cpu));
 			spin_unlock(&this_rq->lock);
 		}
 		return;

_
